Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-45414

Add support for Android Studio 3.0

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      The plugin does not work with Android Studio 3.0 Canary 4 andĀ 

      gradle-4.0-rc-1. It appears that the format of .avd file has changed in a breaking manner.

      The following error isĀ emitted when trying to create the emulator instance.

      $ /var/lib/jenkins/android-sdk-linux/tools/android list target
      [android] The configured Android platform needs to be installed: android-19
      $ /var/lib/jenkins/android-sdk-linux/tools/android list target
      $ /var/lib/jenkins/android-sdk-linux/tools/android list target
      [android] Installing the 'sys-img-x86-android-19' SDK component(s)...
      $ /var/lib/jenkins/android-sdk-linux/tools/android update sdk -u -a -t sys-img-x86-android-19
      *************************************************************************
      The "android" command is deprecated.
      For manual SDK, AVD, and project management, please use Android Studio.
      For command-line tools, use tools/bin/sdkmanager and tools/bin/avdmanager
      *************************************************************************
      Timed out waiting for input.
      To suppress this prompt, run with --use-sdk-wrapper or set USE_SDK_WRAPPER.
      [android] Using Android SDK: /var/lib/jenkins/android-sdk-linux
      [android] Creating Android AVD: /var/lib/jenkins/.android/avd/hudson_en-US_420_1080x1920_android-19_x86.avd
      [android] /var/lib/jenkins/android-sdk-linux/tools/android create avd -f -a -c 32M -s 1080x1920 -n hudson_en-US_420_1080x1920_android-19_x86 -t android-19 --abi x86
      [android] Could not create Android emulator: Failed to parse AVD config file
      Finished: NOT_BUILT

      A workaround seems to be described herehttps://stackoverflow.com/a/37324422/256770|http://example.com]https//stackoverflow.com/a/37324422/256770] which I tried by copying AS 3.0 compatible avd folder but it did change anything.

        Attachments

          Activity

          farrukhnajmi Farrukh Najmi created issue -
          farrukhnajmi Farrukh Najmi made changes -
          Field Original Value New Value
          Description The plugin does not work with Android Studio 3.0 Canary 4 and 

          gradle-4.0-rc-1. The following error is emitted when trying to create the emulator instance.
          {quote}$ /var/lib/jenkins/android-sdk-linux/tools/android list target
          [android] The configured Android platform needs to be installed: android-19
          $ /var/lib/jenkins/android-sdk-linux/tools/android list target
          $ /var/lib/jenkins/android-sdk-linux/tools/android list target
          [android] Installing the 'sys-img-x86-android-19' SDK component(s)...
          $ /var/lib/jenkins/android-sdk-linux/tools/android update sdk -u -a -t sys-img-x86-android-19
          *************************************************************************
          The "android" command is deprecated.
          For manual SDK, AVD, and project management, please use Android Studio.
          For command-line tools, use tools/bin/sdkmanager and tools/bin/avdmanager
          *************************************************************************
          Timed out waiting for input.
          To suppress this prompt, run with --use-sdk-wrapper or set USE_SDK_WRAPPER.
          [android] Using Android SDK: /var/lib/jenkins/android-sdk-linux
          [android] Creating Android AVD: /var/lib/jenkins/.android/avd/hudson_en-US_420_1080x1920_android-19_x86.avd
          [android] /var/lib/jenkins/android-sdk-linux/tools/android create avd -f -a -c 32M -s 1080x1920 -n hudson_en-US_420_1080x1920_android-19_x86 -t android-19 --abi x86
          [android] Could not create Android emulator: Failed to parse AVD config file
          Finished: NOT_BUILT{quote}
          The plugin does not work with Android Studio 3.0 Canary 4 and 

          gradle-4.0-rc-1. It appears that the format of .avd file has changed in a breaking manner.

          The following error is emitted when trying to create the emulator instance.
          {quote}$ /var/lib/jenkins/android-sdk-linux/tools/android list target
           [android] The configured Android platform needs to be installed: android-19
           $ /var/lib/jenkins/android-sdk-linux/tools/android list target
           $ /var/lib/jenkins/android-sdk-linux/tools/android list target
           [android] Installing the 'sys-img-x86-android-19' SDK component(s)...
           $ /var/lib/jenkins/android-sdk-linux/tools/android update sdk -u -a -t sys-img-x86-android-19
           *************************************************************************
           The "android" command is deprecated.
           For manual SDK, AVD, and project management, please use Android Studio.
           For command-line tools, use tools/bin/sdkmanager and tools/bin/avdmanager
           *************************************************************************
           Timed out waiting for input.
           To suppress this prompt, run with --use-sdk-wrapper or set USE_SDK_WRAPPER.
           [android] Using Android SDK: /var/lib/jenkins/android-sdk-linux
           [android] Creating Android AVD: /var/lib/jenkins/.android/avd/hudson_en-US_420_1080x1920_android-19_x86.avd
           [android] /var/lib/jenkins/android-sdk-linux/tools/android create avd -f -a -c 32M -s 1080x1920 -n hudson_en-US_420_1080x1920_android-19_x86 -t android-19 --abi x86
           [android] Could not create Android emulator: Failed to parse AVD config file
           Finished: NOT_BUILT
          {quote}
          farrukhnajmi Farrukh Najmi made changes -
          Description The plugin does not work with Android Studio 3.0 Canary 4 and 

          gradle-4.0-rc-1. It appears that the format of .avd file has changed in a breaking manner.

          The following error is emitted when trying to create the emulator instance.
          {quote}$ /var/lib/jenkins/android-sdk-linux/tools/android list target
           [android] The configured Android platform needs to be installed: android-19
           $ /var/lib/jenkins/android-sdk-linux/tools/android list target
           $ /var/lib/jenkins/android-sdk-linux/tools/android list target
           [android] Installing the 'sys-img-x86-android-19' SDK component(s)...
           $ /var/lib/jenkins/android-sdk-linux/tools/android update sdk -u -a -t sys-img-x86-android-19
           *************************************************************************
           The "android" command is deprecated.
           For manual SDK, AVD, and project management, please use Android Studio.
           For command-line tools, use tools/bin/sdkmanager and tools/bin/avdmanager
           *************************************************************************
           Timed out waiting for input.
           To suppress this prompt, run with --use-sdk-wrapper or set USE_SDK_WRAPPER.
           [android] Using Android SDK: /var/lib/jenkins/android-sdk-linux
           [android] Creating Android AVD: /var/lib/jenkins/.android/avd/hudson_en-US_420_1080x1920_android-19_x86.avd
           [android] /var/lib/jenkins/android-sdk-linux/tools/android create avd -f -a -c 32M -s 1080x1920 -n hudson_en-US_420_1080x1920_android-19_x86 -t android-19 --abi x86
           [android] Could not create Android emulator: Failed to parse AVD config file
           Finished: NOT_BUILT
          {quote}
          The plugin does not work with Android Studio 3.0 Canary 4 and 

          gradle-4.0-rc-1. It appears that the format of .avd file has changed in a breaking manner.

          The following error is emitted when trying to create the emulator instance.
          {quote}$ /var/lib/jenkins/android-sdk-linux/tools/android list target
           [android] The configured Android platform needs to be installed: android-19
           $ /var/lib/jenkins/android-sdk-linux/tools/android list target
           $ /var/lib/jenkins/android-sdk-linux/tools/android list target
           [android] Installing the 'sys-img-x86-android-19' SDK component(s)...
           $ /var/lib/jenkins/android-sdk-linux/tools/android update sdk -u -a -t sys-img-x86-android-19
           *************************************************************************
           The "android" command is deprecated.
           For manual SDK, AVD, and project management, please use Android Studio.
           For command-line tools, use tools/bin/sdkmanager and tools/bin/avdmanager
           *************************************************************************
           Timed out waiting for input.
           To suppress this prompt, run with --use-sdk-wrapper or set USE_SDK_WRAPPER.
           [android] Using Android SDK: /var/lib/jenkins/android-sdk-linux
           [android] Creating Android AVD: /var/lib/jenkins/.android/avd/hudson_en-US_420_1080x1920_android-19_x86.avd
           [android] /var/lib/jenkins/android-sdk-linux/tools/android create avd -f -a -c 32M -s 1080x1920 -n hudson_en-US_420_1080x1920_android-19_x86 -t android-19 --abi x86
           [android] Could not create Android emulator: Failed to parse AVD config file
           Finished: NOT_BUILT
          {quote}
          A workaround seems to be described [here |[http://example.com]https://stackoverflow.com/a/37324422/256770|http://example.com]https//stackoverflow.com/a/37324422/256770] which I will try next.
          farrukhnajmi Farrukh Najmi made changes -
          Description The plugin does not work with Android Studio 3.0 Canary 4 and 

          gradle-4.0-rc-1. It appears that the format of .avd file has changed in a breaking manner.

          The following error is emitted when trying to create the emulator instance.
          {quote}$ /var/lib/jenkins/android-sdk-linux/tools/android list target
           [android] The configured Android platform needs to be installed: android-19
           $ /var/lib/jenkins/android-sdk-linux/tools/android list target
           $ /var/lib/jenkins/android-sdk-linux/tools/android list target
           [android] Installing the 'sys-img-x86-android-19' SDK component(s)...
           $ /var/lib/jenkins/android-sdk-linux/tools/android update sdk -u -a -t sys-img-x86-android-19
           *************************************************************************
           The "android" command is deprecated.
           For manual SDK, AVD, and project management, please use Android Studio.
           For command-line tools, use tools/bin/sdkmanager and tools/bin/avdmanager
           *************************************************************************
           Timed out waiting for input.
           To suppress this prompt, run with --use-sdk-wrapper or set USE_SDK_WRAPPER.
           [android] Using Android SDK: /var/lib/jenkins/android-sdk-linux
           [android] Creating Android AVD: /var/lib/jenkins/.android/avd/hudson_en-US_420_1080x1920_android-19_x86.avd
           [android] /var/lib/jenkins/android-sdk-linux/tools/android create avd -f -a -c 32M -s 1080x1920 -n hudson_en-US_420_1080x1920_android-19_x86 -t android-19 --abi x86
           [android] Could not create Android emulator: Failed to parse AVD config file
           Finished: NOT_BUILT
          {quote}
          A workaround seems to be described [here |[http://example.com]https://stackoverflow.com/a/37324422/256770|http://example.com]https//stackoverflow.com/a/37324422/256770] which I will try next.
          The plugin does not work with Android Studio 3.0 Canary 4 and 

          gradle-4.0-rc-1. It appears that the format of .avd file has changed in a breaking manner.

          The following error is emitted when trying to create the emulator instance.
          {quote}$ /var/lib/jenkins/android-sdk-linux/tools/android list target
           [android] The configured Android platform needs to be installed: android-19
           $ /var/lib/jenkins/android-sdk-linux/tools/android list target
           $ /var/lib/jenkins/android-sdk-linux/tools/android list target
           [android] Installing the 'sys-img-x86-android-19' SDK component(s)...
           $ /var/lib/jenkins/android-sdk-linux/tools/android update sdk -u -a -t sys-img-x86-android-19
           *************************************************************************
           The "android" command is deprecated.
           For manual SDK, AVD, and project management, please use Android Studio.
           For command-line tools, use tools/bin/sdkmanager and tools/bin/avdmanager
           *************************************************************************
           Timed out waiting for input.
           To suppress this prompt, run with --use-sdk-wrapper or set USE_SDK_WRAPPER.
           [android] Using Android SDK: /var/lib/jenkins/android-sdk-linux
           [android] Creating Android AVD: /var/lib/jenkins/.android/avd/hudson_en-US_420_1080x1920_android-19_x86.avd
           [android] /var/lib/jenkins/android-sdk-linux/tools/android create avd -f -a -c 32M -s 1080x1920 -n hudson_en-US_420_1080x1920_android-19_x86 -t android-19 --abi x86
           [android] Could not create Android emulator: Failed to parse AVD config file
           Finished: NOT_BUILT
          {quote}
          A workaround seems to be described [here|http://example.com]https://stackoverflow.com/a/37324422/256770|http://example.com]https//stackoverflow.com/a/37324422/256770] which I will try next.
          farrukhnajmi Farrukh Najmi made changes -
          Description The plugin does not work with Android Studio 3.0 Canary 4 and 

          gradle-4.0-rc-1. It appears that the format of .avd file has changed in a breaking manner.

          The following error is emitted when trying to create the emulator instance.
          {quote}$ /var/lib/jenkins/android-sdk-linux/tools/android list target
           [android] The configured Android platform needs to be installed: android-19
           $ /var/lib/jenkins/android-sdk-linux/tools/android list target
           $ /var/lib/jenkins/android-sdk-linux/tools/android list target
           [android] Installing the 'sys-img-x86-android-19' SDK component(s)...
           $ /var/lib/jenkins/android-sdk-linux/tools/android update sdk -u -a -t sys-img-x86-android-19
           *************************************************************************
           The "android" command is deprecated.
           For manual SDK, AVD, and project management, please use Android Studio.
           For command-line tools, use tools/bin/sdkmanager and tools/bin/avdmanager
           *************************************************************************
           Timed out waiting for input.
           To suppress this prompt, run with --use-sdk-wrapper or set USE_SDK_WRAPPER.
           [android] Using Android SDK: /var/lib/jenkins/android-sdk-linux
           [android] Creating Android AVD: /var/lib/jenkins/.android/avd/hudson_en-US_420_1080x1920_android-19_x86.avd
           [android] /var/lib/jenkins/android-sdk-linux/tools/android create avd -f -a -c 32M -s 1080x1920 -n hudson_en-US_420_1080x1920_android-19_x86 -t android-19 --abi x86
           [android] Could not create Android emulator: Failed to parse AVD config file
           Finished: NOT_BUILT
          {quote}
          A workaround seems to be described [here|http://example.com]https://stackoverflow.com/a/37324422/256770|http://example.com]https//stackoverflow.com/a/37324422/256770] which I will try next.
          The plugin does not work with Android Studio 3.0 Canary 4 and 

          gradle-4.0-rc-1. It appears that the format of .avd file has changed in a breaking manner.

          The following error is emitted when trying to create the emulator instance.
          {quote}$ /var/lib/jenkins/android-sdk-linux/tools/android list target
           [android] The configured Android platform needs to be installed: android-19
           $ /var/lib/jenkins/android-sdk-linux/tools/android list target
           $ /var/lib/jenkins/android-sdk-linux/tools/android list target
           [android] Installing the 'sys-img-x86-android-19' SDK component(s)...
           $ /var/lib/jenkins/android-sdk-linux/tools/android update sdk -u -a -t sys-img-x86-android-19
           *************************************************************************
           The "android" command is deprecated.
           For manual SDK, AVD, and project management, please use Android Studio.
           For command-line tools, use tools/bin/sdkmanager and tools/bin/avdmanager
           *************************************************************************
           Timed out waiting for input.
           To suppress this prompt, run with --use-sdk-wrapper or set USE_SDK_WRAPPER.
           [android] Using Android SDK: /var/lib/jenkins/android-sdk-linux
           [android] Creating Android AVD: /var/lib/jenkins/.android/avd/hudson_en-US_420_1080x1920_android-19_x86.avd
           [android] /var/lib/jenkins/android-sdk-linux/tools/android create avd -f -a -c 32M -s 1080x1920 -n hudson_en-US_420_1080x1920_android-19_x86 -t android-19 --abi x86
           [android] Could not create Android emulator: Failed to parse AVD config file
           Finished: NOT_BUILT
          {quote}
          A workaround seems to be described [here|http://example.com/]https://stackoverflow.com/a/37324422/256770|http://example.com]https//stackoverflow.com/a/37324422/256770] which I tried by copying AS 3.0 compatible avd folder but it did change anything.
          orrc Christopher Orr made changes -
          Resolution Fixed [ 1 ]
          Status Open [ 1 ] Closed [ 6 ]

            People

            Assignee:
            orrc Christopher Orr
            Reporter:
            farrukhnajmi Farrukh Najmi
            Votes:
            1 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: